/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Generate.h"


GtkWidget *gdialog;
//GtkWidget *bar;
//GtkWidget *label;
//Config *gconfig;

/*
void work_generate()
{
  Log *log;
  int total = gconfig->getNbUsed() + 4;
  int nb = 1;
  //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), nb / total);
  log = new Log();
  printf("Analyse du log\n");
  printf("Log : %s\n", gconfig->getLogName());
  if (log == NULL) printf("Log null\n");
  else printf("Log not null\n");
  printf("NbPeriods : %i\n", log->getNbPeriods());
  printf("NbUsers : %i\n", log->getNbUsers());
  log->analyse(gconfig->getLogName());
  nb++;
  //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), nb / total);

  FILE *file;
  file = fopen(gconfig->getFileName(), "w");
  if (file == NULL) printf("There was an error\n");
  else
    {
      printf("Generation de l'en-tete\n");
      gconfig->getPage()->makeHead(file, log);
      nb++;
      //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), nb / total);
      for (int i = 0; i < gconfig->getNbUsed(); i++)
	{
	  printf("Generation de la stat %i\n", i);
	  gconfig->getUsedStat(i)->generate(file, log);
	  nb++;
	  //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), nb / total);
	}

      printf("Generation du bas de page\n");
      gconfig->getPage()->makeBottom(file);
      fclose(file);
      nb++;
      //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), nb / total);
    }
  gtk_widget_hide(gdialog);
}
*/

void ok_generate()
{
  gtk_widget_hide(gdialog);
}


void createGenerate(gchar text[])
{
  GtkWidget *widget;
  //gconfig = aConfig;

  // the gdialog window of "generate web page"
  gdialog = gtk_dialog_new();
  //gtk_window_set_title(GTK_WINDOW(gdialog), "Generating web page");
  gtk_signal_connect(GTK_OBJECT(gdialog), "destroy", GTK_SIGNAL_FUNC(ok_generate), NULL);
  //gtk_signal_connect(GTK_OBJECT(gdialog), "map_event", GTK_SIGNAL_FUNC(work_generate), NULL);

  // the progress bar
  //bar = gtk_progress_bar_new();
  //gtk_progress_bar_update(GTK_PROGRESS_BAR(bar), 0);
  //gtk_container_add(GTK_CONTAINER(gdialog), bar);

  // the label
  widget = gtk_label_new(text);
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(gdialog)->vbox), widget, TRUE, TRUE, 10);
  gtk_widget_show(widget);

  // the button
  widget = gtk_button_new_with_label("OK");
  gtk_signal_connect(GTK_OBJECT(widget), "clicked", GTK_SIGNAL_FUNC(ok_generate), NULL);
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(gdialog)->action_area), widget, TRUE, TRUE, 0);
  gtk_widget_show(widget);

  // Display of the dialog
  gtk_widget_show(gdialog);

  //work_generate();
}
